function Create(self)
	local i = 0
	if string.find(self.PresetName, "Plant Placer Normal") then
		i = SceneMan.SceneWidth * 0.012
	elseif string.find(self.PresetName, "Plant Placer Dense") then
		i = SceneMan.SceneWidth * 0.045
	else
		i = SceneMan.SceneWidth * 0.006
	end
	while i > 0 do
		local plantpos = self.Pos
		plantpos.X = math.random(0, SceneMan.SceneWidth)
		if
			plantpos.Y + 40 < SceneMan:MovePointToGround(plantpos, 0, 1).Y
			and SceneMan:CastStrengthSumRay(self.Pos, Vector(self.Pos.X, 0), 0, 0) == 0
		then
			local text = nil
			if
				math.abs(
						SceneMan:MovePointToGround(plantpos, 0, 1).Y
							- SceneMan:MovePointToGround(plantpos + Vector(10, 0), 0, 1).Y
					)
					+ math.abs(
						SceneMan:MovePointToGround(plantpos, 0, 1).Y
							- SceneMan:MovePointToGround(plantpos - Vector(10, 0), 0, 1).Y
					)
				< 5
			then
				if math.random(0, 12) == 0 then
					text = "Hydro.rte/SeaUrchin1 placer"
				elseif math.random(0, 11) == 0 then
					text = "Hydro.rte/ShellA placer"
				elseif math.random(0, 10) == 0 then
					text = "Hydro.rte/ShellB placer"
				elseif math.random(0, 9) == 0 then
					text = "Hydro.rte/Seaweed A1 placer"
				elseif math.random(0, 8) == 0 then
					text = "Hydro.rte/Seaweed A2 placer"
				elseif math.random(0, 7) == 0 then
					text = "Hydro.rte/Seaweed B1 placer"
				elseif math.random(0, 6) == 0 then
					text = "Hydro.rte/Seaweed B2 placer"
				elseif math.random(0, 5) == 0 then
					text = "Hydro.rte/Seaweed C1 placer"
				elseif math.random(0, 4) == 0 then
					text = "Hydro.rte/Seaweed C2 placer"
				elseif math.random(0, 3) == 0 then
					text = "Hydro.rte/Seaweed D1 placer"
				elseif math.random(0, 2) == 0 then
					text = "Hydro.rte/Seaweed D2 placer"
				elseif math.random(0, 1) == 0 then
					text = "Hydro.rte/Seaweed E1 placer"
				else
					text = "Hydro.rte/Seaweed E2 placer"
				end
			else
				if math.random(0, 9) == 0 then
					text = "Hydro.rte/Seaweed A1 placer"
				elseif math.random(0, 8) == 0 then
					text = "Hydro.rte/Seaweed A2 placer"
				elseif math.random(0, 7) == 0 then
					text = "Hydro.rte/Seaweed B1 placer"
				elseif math.random(0, 6) == 0 then
					text = "Hydro.rte/Seaweed B2 placer"
				elseif math.random(0, 5) == 0 then
					text = "Hydro.rte/Seaweed C1 placer"
				elseif math.random(0, 4) == 0 then
					text = "Hydro.rte/Seaweed C2 placer"
				elseif math.random(0, 3) == 0 then
					text = "Hydro.rte/Seaweed D1 placer"
				elseif math.random(0, 2) == 0 then
					text = "Hydro.rte/Seaweed D2 placer"
				elseif math.random(0, 1) == 0 then
					text = "Hydro.rte/Seaweed E1 placer"
				else
					text = "Hydro.rte/Seaweed E2 placer"
				end
			end
			local plant = CreateMOSRotating(text)
			plant.Pos = SceneMan:MovePointToGround(plantpos, 0, 1)
			plant.HFlipped = true
			if math.random(0, 1) == 0 then
				plant.HFlipped = false
			end
			MovableMan:AddParticle(plant)
		end
		i = i - 1
	end
end

function Update(self)
	self.ToDelete = true
end
